<input type="file" class="file-input"
       [accept]="requiredFileType"
       (change)="onFileSelected($event)" #fileUpload>

<div class="file-upload">
    <button  class="btn btn-primary upload-btn"
      (click)="fileUpload.click()">
        <i class="fa fa-file-image" aria-hidden="true"></i>&nbsp;
        <span>{{label}}</span>
    </button>
</div>
